सामग्री पर जाएँ

SeedVR2 · Image

इंटीग्रेट करें

मॉडल id seedvr/upscale/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.005 5 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
ByteDance अपस्केल 4K आउटपुट #upscale#image-to-image

सामान्य-उद्देश्य वाला इमेज अपस्केलर, जिसमें फ़ैक्टर या लक्ष्य-रिज़ॉल्यूशन मोड और JPG, PNG या WebP आउटपुट उपलब्ध हैं

ByteDance · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेसिंग के लिए दी गई इमेज।

upscale_mode डिफ़ॉल्ट factor

अपस्केलिंग मोड: `target` अनुरोधित रिज़ॉल्यूशन से स्केलिंग फ़ैक्टर निकालता है, जबकि `factor` दिए गए स्केलिंग फ़ैक्टर को सीधे लागू करता है।

target_resolution डिफ़ॉल्ट 1080p

`upscale_mode` को `target` पर सेट करके अपस्केलिंग के लिए वांछित आउटपुट रिज़ॉल्यूशन।

डिफ़ॉल्ट 2

जब `upscale_mode` को `factor` पर सेट किया जाता है, तब आयामों पर लागू होने वाला गुणक।

उन्नत output_format · noise_scale · seed
output_format डिफ़ॉल्ट jpg

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

डिफ़ॉल्ट 0.1

निर्माण के दौरान लागू किया गया नॉइज़ स्केल।

निर्माण के दौरान उपयोग की गई यादृच्छिक सीड।

POST /run/seedvr/upscale/image?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/seedvr/upscale/image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

SeedVR2 · Image के बारे में

`image_url` से एक इमेज को अपस्केल करता है। factor मोड में `upscale_factor` आयामों को 1 से 10 गुना करता है। target मोड में `target_resolution` 720p, 1080p, 1440p या 2160p हो सकता है। `noise_scale` (0 से 1) और `seed` परिणाम को समायोजित करते हैं, और `output_format` डिफ़ॉल्ट रूप से jpg होता है; png और webp भी अनुमत हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेसिंग के लिए दी गई इमेज।
upscale_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टfactor
targetfactor
अपस्केलिंग मोड: `target` अनुरोधित रिज़ॉल्यूशन से स्केलिंग फ़ैक्टर निकालता है, जबकि `factor` दिए गए स्केलिंग फ़ैक्टर को सीधे लागू करता है।
upscale_factorवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट2
1 – 10
जब `upscale_mode` को `factor` पर सेट किया जाता है, तब आयामों पर लागू होने वाला गुणक।
target_resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1080p
720p1080p1440p2160p
`upscale_mode` को `target` पर सेट करके अपस्केलिंग के लिए वांछित आउटपुट रिज़ॉल्यूशन।
seedवैकल्पिक
प्रकारinteger | null
निर्माण के दौरान उपयोग की गई यादृच्छिक सीड।
noise_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.1
0 – 1
निर्माण के दौरान लागू किया गया नॉइज़ स्केल।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टjpg
pngjpgwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "seedvr/upscale/image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height}अपस्केलिंग लागू की गई प्रोसेस की गई इमेज फ़ाइल।
seed
integerनिर्माण के दौरान उपयोग की गई यादृच्छिक सीड।

और मॉडल: अपस्केल

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/seedvr/upscale/image.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt